
TYPO3.Fluid - Feature # 57998

Status: Resolved Priority: Should have
Author: Carsten Bleicker Category: ViewHelpers
Created: 2014-04-16 Assigned To: Karsten Dambekalns
Updated: 2014-08-11 Due date:
Has patch: No
Subject: f:form.select support to sort by translated label
Description

request for feature:

<f:form.select ...
    optionValueField="iso2" 
    optionLabelField="name" 
    translate="{by:'label'}" 
    sortBy="{propertyName:'optionLabelField'}" 
/>

This should sort options after translating by "optionLabelField"

Associated revisions
Revision 87738bc0 - 2014-07-31 17:15 - Karsten Dambekalns

[FEATURE] Sort options by translated label

When option label translation is used together with sorting by label,
this will now translate first and sort afterwards.

Change-Id: I11f8df028772ebc3cdcd31f702f8b93a8c2ca72d
Resolves: #57998
Releases: master

History
#1 - 2014-07-31 16:55 - Karsten Dambekalns
- Category set to ViewHelpers
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2014-07-31 16:55 - Karsten Dambekalns
- Subject changed from f:form.select support to sort by property to f:form.select support to sort by translated label

#3 - 2014-07-31 17:15 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at http://review.typo3.org/31923
#4 - 2014-08-11 11:32 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:87738bc09473452db49d144aa40d48a5f5e6a618.
